import { FunctionComponent } from "react";
/**
 *
 * @returns {TextField Props}
 * @author Thushara Dinishka
 */
export interface TextFieldProps {
    type?: string;
    placeholder?: string;
    disabled?: boolean;
    className?: string;
    [key: string]: any;
}
/**
 *
 * @returns {TextField}
 * @author Thushara Dinishka
 */
export declare const TextField: FunctionComponent<TextFieldProps>;
